#include <iostream>
#include <cstdio>
#include <cstdlib>
#include <algorithm>
#include <vector>
#include <string>
#include <cstring>
#include <cmath>
#include <list>
#include <map>
#include <queue>
#include <stack>
#include <set>
#include <cassert>
#include <climits>
#include <functional>
#include <bitset>
 
#define pb push_back
#define mp make_pair
#define all(x) x.begin(),x.end()
#define rep(i,n) for(int i=0;i<n;i++)
#define print(x) cout<<#x<<" is "<<x<<endl;
#define inf 2000000000
#define eps 1e-8
#define fill(x,y) memset(x,y,sizeof(x))
#define Size(x) (int(x.size()))
#define FOR(k,a,b) for(typeof(a) k=(a); k < (b); ++k)
typedef long long ll;
using namespace std;
 
#define dim 2

//Creates matrix data type 
struct matrix {
    int a[dim][dim];
};
 
#define MOD 1000000007

// Multiplies 2 matrices and puts result in matrix res 
matrix mul(matrix x, matrix y) {
    matrix res;
    FOR(a,0,dim) FOR(b,0,dim) res.a[a][b] = 0;
    FOR(a,0,dim) FOR(b,0,dim) FOR(c,0,dim) {
	res.a[a][c] += (x.a[a][b] * ll(y.a[b][c])) % MOD;
	res.a[a][c] %= MOD;
    }
    return res;
}

//Fast matrix exponentiation 
matrix power(matrix m, int n) {
    if(n == 1) return m;
    matrix u = mul(m, m);
    u = power(u, n/2);
    if(n&1) u = mul(u, m);
    return u;
}

//Number of set bits on the int number n.
long long int ones(int n)
{
	long long int ans = 0;
	while(n > 0)
	{
		if(n%2 == 1)
		{
			ans = ans + 1;
			n = n/2;
		}
		else
			n = n/2;
	}
	return ans;
}

matrix Fib, Res;
int main()
{
	//------------------------------------------------
	FOR(a,0,dim) FOR(b,0,dim) Fib.a[a][b] = 0;     
	Fib.a[0][0] = 1;   Fib.a[0][1] = 1;            // Creates Matrix to compute Fibonacci numbers, refer to editorial for details
	Fib.a[1][0] = 1;   Fib.a[1][1] = 0;
	//------------------------------------------------
	int t;
	scanf("%d",&t); // number of test cases
	for(int i = 0; i < t; i++)
	{
		int N,guess;
		scanf("%d %d", &N, &guess);
		if(N == 1 and guess == ones(N))
		printf("%s\n", "CORRECT");
		if(N == 1 and guess != ones(N))
		printf("%s\n", "INCORRECT");
		if(N == 2 and guess == ones(N))
		printf("%s\n", "CORRECT");
		if(N == 2 and guess != ones(N))
		printf("%s\n", "INCORRECT");
		if(N > 2)
		{
			Res = power(Fib,N-2);
			long long int ans = (((Res.a[0][0]*2)%1000000007+(Res.a[0][1]*1)%1000000007))%1000000007;
			if(guess == ones(ans))
				printf("%s\n", "CORRECT");
			else
				printf("%s\n", "INCORRECT");
		}
	}
		return 0;
} 
		
